Subject: Re: [PATCH 0/2] net: Implement SO_PEERCGROUP and SO_PASSCGROUP socket options

From: Vivek Goyal <[email-masked]>
Date: Wed, 23 Apr 2014 15:05:32 -0400

On Tue, Apr 22, 2014 at 01:31:13PM -0700, Andy Lutomirski wrote:
[..]
> > Otherwise, without SO_PASSCGROUP, there is no way for datagram sockets
> > to find out the peer's open() time cgroup.
> 
> Right.
> 
> I'd still like to know what userspace applications want this feature.
> The canonical example seems to be journald, but journald doesn't use
> unix datagram sockets AFAICS,

Dan Walsh mentiond that systemd also monitors /dev/log (datagram socket) and
logs everything in journal. There this information should be useful.

Thanks
Vivek